Retrieves all the article price list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
article_price_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier |
Optionally required : article_price_label_id or article_price_label must be provided |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label |
Optionally required : article_price_label_id or article_price_label must be provided |
| price |
Article price, If value not given set as 0. |
decimal number |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "3da75d47-a006-4f02-a1c5-23f56b644db8",
"article_id": "b8776917-0695-4713-b3fd-4b836b67218f",
"article_code": "sample string 3",
"article_price_label_id": "93d75d4f-04ea-4b59-b4e3-236ad0182956",
"price": 1.0,
"modified_dateutc": "2026-10-10T05:09:19.8453274+00:00"
}